> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update project



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples patch /projects/{project_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /projects/{project_id}:
    patch:
      tags:
        - Projects
      summary: Update project
      operationId: update-project
      parameters:
        - name: project_id
          in: path
          description: The project ID or Slug
          required: true
          examples:
            Success:
              value: proj_Gr47qleMDAg0m
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      default: proj_81EVOtR1N4J2Z
                    type:
                      type: string
                      enum:
                        - projects
                    attributes:
                      type: object
                      properties:
                        name:
                          type: string
                          default: A brand new name for the virtual network
                        description:
                          type: string
                          default: A brand new description for the virtual network
                        environment:
                          type: string
                          enum:
                            - Development
                            - Staging
                            - Production
                        bandwidth_alert:
                          type: boolean
                          default: false
                        tags:
                          type: array
                          items:
                            type: string
                          default: []
                  required:
                    - id
                    - type
              required:
                - data
            examples:
              Success:
                summary: Success
                value:
                  data:
                    id: proj_Gr47qleMDAg0m
                    type: projects
                    attributes:
                      tags:
                        - tag_VgrmvzlEGJhbGYv0z8YzHLa9PKV
                        - tag_PEAMyKnQZEHpGAWKMpB6F7EVYyYj
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      default: proj_81EVOtR1N4J2Z
                    type:
                      type: string
                      enum:
                        - projects
                    attributes:
                      type: object
                      properties:
                        name:
                          type: string
                          default: A brand new name for the virtual network
                        description:
                          type: string
                          default: A brand new description for the virtual network
                        environment:
                          type: string
                          enum:
                            - Development
                            - Staging
                            - Production
                        bandwidth_alert:
                          type: boolean
                          default: false
                        tags:
                          type: array
                          items:
                            type: string
                          default: []
                  required:
                    - id
                    - type
              required:
                - data
            examples:
              Success:
                summary: Success
                value:
                  data:
                    id: proj_Gr47qleMDAg0m
                    type: projects
                    attributes:
                      tags:
                        - tag_VgrmvzlEGJhbGYv0z8YzHLa9PKV
                        - tag_PEAMyKnQZEHpGAWKMpB6F7EVYyYj
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: proj_Gr47qleMDAg0m
                      type: projects
                      attributes:
                        tags:
                          - id: tag_VgrmvzlEGJhbGYv0z8YzHLa9PKV
                            name: Ted Sandyman
                            description: Corporis nostrum praesentium deleniti.
                            color: '#020302'
                          - id: tag_PEAMyKnQZEHpGAWKMpB6F7EVYyYj
                            name: Erchirion
                            description: Corporis quos sequi mollitia.
                            color: '#0d4e4e'
                        name: Moore-Durgan
                        slug: moore-durgan
                        description: Sequi occaecati eaque exercitationem.
                        bandwidth_alert: true
                        environment: Production
                        provisioning_type: on_demand
                        billing_type: Normal
                        billing_method: Normal
                        billing:
                          subscription_id: sub_5sst6soyu2lzm0
                          type: Normal
                          method: Normal
                        team:
                          id: team_mygwarnav0hG97b9393biKZxall
                          name: 198 Team
                          slug: 198-team
                          description: 198 Team
                          address: >-
                            Apt. 401 9373 Gregg Islands, Cassinmouth, NC
                            33577-6685
                          currency:
                            id: cur_AW6Q2D9lqKLpr
                            code: BRL
                            name: Brazilian Real
                            currency_id: null
                          status: verified
                          feature_flags: []
                          limits:
                            bare_metal: 5
                            bare_metal_gpu: 1
                            virtual_machine: 5
                            virtual_machine_gpu: 3
                            database: null
                            filesystem: null
                            block_storage: null
                        stats:
                          databases: 0
                          ip_addresses: 0
                          prefixes: 0
                          servers: 0
                          storages: 0
                          virtual_machines: 0
                          vlans: 0
                        created_at: '2026-01-14T15:56:40+00:00'
                        updated_at: '2026-01-14T15:56:40+00:00'
                    meta: {}
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/project'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.projects.update(project_id="proj_Gr47qleMDAg0m", data={
                    "id": "proj_Gr47qleMDAg0m",
                    "type": latitudesh_python_sdk.UpdateProjectProjectsType.PROJECTS,
                    "attributes": {
                        "tags": [
                            "tag_VgrmvzlEGJhbGYv0z8YzHLa9PKV",
                            "tag_PEAMyKnQZEHpGAWKMpB6F7EVYyYj",
                        ],
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Projects.Update(ctx, \"proj_Gr47qleMDAg0m\", &operations.UpdateProjectProjectsRequestBody{\n        Data: operations.UpdateProjectProjectsData{\n            ID: latitudeshgosdk.Pointer(\"proj_Gr47qleMDAg0m\"),\n            Type: operations.UpdateProjectProjectsTypeProjects,\n            Attributes: &operations.UpdateProjectProjectsAttributes{\n                Tags: []string{\n                    \"tag_VgrmvzlEGJhbGYv0z8YzHLa9PKV\",\n                    \"tag_PEAMyKnQZEHpGAWKMpB6F7EVYyYj\",\n                },\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.projects.update({
                projectId: "proj_Gr47qleMDAg0m",
                requestBody: {
                  data: {
                    id: "proj_Gr47qleMDAg0m",
                    type: "projects",
                    attributes: {
                      tags: [
                        "tag_VgrmvzlEGJhbGYv0z8YzHLa9PKV",
                        "tag_PEAMyKnQZEHpGAWKMpB6F7EVYyYj",
                      ],
                    },
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    project:
      type: object
      properties:
        id:
          type: string
          description: The project ID
        attributes:
          type: object
          properties:
            name:
              type: string
              description: The project name
            slug:
              type: string
              description: A unique project identifier
            description:
              type: string
              nullable: true
              description: The project description
            billing_type:
              type: string
              nullable: true
              enum:
                - Yearly
                - Monthly
                - Hourly
                - Normal
                - Custom
            billing_method:
              type: string
              nullable: true
              enum:
                - Normal
                - 95th percentile
            cost:
              type: string
              nullable: true
            environment:
              type: string
              nullable: true
              enum:
                - Development
                - Staging
                - Production
            stats:
              type: object
              properties:
                ip_addresses:
                  type: number
                  description: The number of IP addresses assigned to the project
                prefixes:
                  type: number
                  description: The IP address prefixes in the project
                servers:
                  type: number
                  description: The number of servers assigned to the project
                containers:
                  type: number
                  description: The number of containers assigned to the project
                vlans:
                  type: number
                  description: The number of VLANs assigned to the project
            billing:
              type: object
              properties:
                subscription_id:
                  type: string
                type:
                  type: string
                method:
                  type: string
            team:
              $ref: '#/components/schemas/team_include'
            created_at:
              type: string
            updated_at:
              type: string
    team_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        address:
          type: string
        currency:
          type: object
        status:
          type: string
        feature_flags:
          type: array
          items:
            type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````